summaryrefslogtreecommitdiffstats
path: root/development/ded
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-11 20:00:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:22 +0200
commita6fa61c8e5684657b958bedabe1c7b0a6255cbb5 (patch)
tree121040749e2c277392514ab16cb5a4d03f6190fb /development/ded
parent879a026a671932495d0f9e245111a1700aa2df4a (diff)
downloadslackbuilds-a6fa61c8e5684657b958bedabe1c7b0a6255cbb5.tar.gz
slackbuilds-a6fa61c8e5684657b958bedabe1c7b0a6255cbb5.tar.xz
development/ded: Added to 12.0 repository
Diffstat (limited to 'development/ded')
-rw-r--r--development/ded/README11
-rw-r--r--development/ded/ded.SlackBuild59
-rw-r--r--development/ded/ded.info8
-rw-r--r--development/ded/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/development/ded/README b/development/ded/README
new file mode 100644
index 0000000000..a9ceb3e700
--- /dev/null
+++ b/development/ded/README
@@ -0,0 +1,11 @@
+ded allows you to navigate through multiple file lists or a directory
+tree, viewing or changing file attributes rapidly. In addition to
+conventional file information, it operates on the file's RCS or SCCS
+archives, making it useful for source-control as well as system
+administration. Curses-based, it runs on UNIX systems.
+
+td_lib (available from SlackBuilds.org) is required to build this. Note
+that you do not need to actually 'installpkg' td_lib if you do not want
+to. It only needs to be built and when ded is built alongside it, ded
+will find it. You can then remove the td_lib directories and package if
+you don't want them.
diff --git a/development/ded/ded.SlackBuild b/development/ded/ded.SlackBuild
new file mode 100644
index 0000000000..eca3febaf2
--- /dev/null
+++ b/development/ded/ded.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for ded
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=ded
+VERSION=20060905
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+# this is the most minimal change I could manage and still get an operable
+# helpfile out of bin - be sure to keep this pointing to the full pathname
+# (minus extension) of the ded.hlp file
+sed -i~ 's|howami, whoami|howami, "/usr/share/ded/ded"|' src/ded.c
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" ./configure --prefix=/usr
+make
+# the makefile does so little of this, let's just do it all
+mkdir -p $PKG/usr/{bin,man/man1,share/ded}
+cp bin/ded $PKG/usr/bin
+cp bin/ded.hlp $PKG/usr/share/ded
+gzip -9c user/ded.man > $PKG/usr/man/man1/ded.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [CR]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/ded/ded.info b/development/ded/ded.info
new file mode 100644
index 0000000000..f6f3061828
--- /dev/null
+++ b/development/ded/ded.info
@@ -0,0 +1,8 @@
+PRGNAM="ded"
+VERSION="20060905"
+HOMEPAGE="http://invisible-island.net/ded/ded.html"
+DOWNLOAD="ftp://invisible-island.net/ded/ded-20060905.tgz"
+MD5SUM="82bcd687a09ee65e94539c3388156742"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="rworkman"
diff --git a/development/ded/slack-desc b/development/ded/slack-desc
new file mode 100644
index 0000000000..9e779a0d4b
--- /dev/null
+++ b/development/ded/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ded: ded (curses-based directory editor with RCS/SCCS support)
+ded:
+ded: ded allows you to navigate through multiple file lists or a directory
+ded: tree, viewing or changing file attributes rapidly. In addition to
+ded: conventional file information, it operates on the file's RCS or
+ded: SCCS archives, making it useful for source-control as well as system
+ded: administration. Curses-based, it runs on UNIX systems.
+ded:
+ded: Homepage: http://invisible-island.net/ded/ded.html
+ded:
+ded: